## haskell-boolean 0.0.1

=== Makefile ===
include ../cho-home-cabal-make.inc

=== debian/changelog ===
haskell-boolean (0.0.1-2build3) quantal; urgency=low

  * No change rebuild for new GHC ABI

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 07 Aug 2012 23:41:31 -0500

haskell-boolean (0.0.1-2build2) quantal; urgency=low

  * No-change rebuild for new ghc ABI on armhf.

 -- Ilya Barygin <randomaction@ubuntu.com>  Fri, 06 Jul 2012 22:44:54 +0400

haskell-boolean (0.0.1-2build1) precise; urgency=low

  * No-change rebuild to fix broken haddock dependency

 -- Iain Lane <laney@ubuntu.com>  Sat, 10 Mar 2012 19:11:45 +0000

haskell-boolean (0.0.1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 18:36:55 +0100

haskell-boolean (0.0.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Thu, 09 Jun 2011 13:58:57 -0400

=== debian/control ===
Source: haskell-boolean
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/MemoTrie
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-boolean
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-boolean

Package: libghc-boolean-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: generalized booleans
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains some classes for generalized boolean operations.

Package: libghc-boolean-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: generalized booleans; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains some classes for generalized boolean operations.

Package: libghc-boolean-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: generalized booleans; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 It contains some classes for generalized boolean operations.

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|Boolean-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/Boolean \
    ([\d\.]*\d)/

## haskell-boolean 0.1.2

=== debian/changelog ===
haskell-boolean (0.1.2-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:02 +0200

haskell-boolean (0.1.2-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:59 +0200

haskell-boolean (0.1.2-1) experimental; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 05 Jan 2013 11:54:32 +0100

haskell-boolean (0.0.1-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:00:18 +0200

=== debian/control ===
Source: haskell-boolean
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
Build-Depends-Indep: ghc-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/MemoTrie
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-boolean
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-boolean

Package: libghc-boolean-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

Package: libghc-boolean-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

Package: libghc-boolean-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

## haskell-boolean 0.2

=== debian/changelog ===
haskell-boolean (0.2-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 14 Dec 2013 12:56:28 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   , ghc
   , ghc-prof
 Build-Depends-Indep: ghc-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/MemoTrie
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-boolean
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-boolean

## haskell-boolean 0.2.1

=== debian/changelog ===
haskell-boolean (0.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 01 Jun 2014 18:28:10 -0400

## haskell-boolean 0.2.3

=== debian/changelog ===
haskell-boolean (0.2.3-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:08 -0500

haskell-boolean (0.2.3-3) experimental; urgency=medium

  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:04 +0200

haskell-boolean (0.2.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:59 +0200

haskell-boolean (0.2.3-1) experimental; urgency=medium

  [ Joachim Breitner ]
  * New upstream release

  [ Dmitry Bogatov ]
  * Bump policy version (no changes needed)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 18:36:58 +0200

haskell-boolean (0.2.1-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:39 +0100

=== debian/control ===
Source: haskell-boolean
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>, Dmitry Bogatov <KAction@gnu.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 3.9.6
Homepage: http://hackage.haskell.org/package/Boolean
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-boolean-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

Package: libghc-boolean-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

Package: libghc-boolean-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: generalized booleans${haskell:ShortBlurb}
 It contains some classes for generalized boolean operations.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/Boolean/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-boolean 0.2.4

=== debian/changelog ===
haskell-boolean (0.2.4-6) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 27 Aug 2023 12:39:45 +0300

haskell-boolean (0.2.4-5) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Sourceful upload for GHC 9.0.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 29 Jun 2022 20:45:28 +0300

haskell-boolean (0.2.4-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Remove Dmitry Bogatov from Uploaders per his request. Thank you
    Dmitry for your previous maintainership.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2020 18:38:10 -0400

haskell-boolean (0.2.4-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:02:59 +0300

haskell-boolean (0.2.4-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:42 -0400

haskell-boolean (0.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 13:51:55 -0400

haskell-boolean (0.2.3-6) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:37 -0400

haskell-boolean (0.2.3-5) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Gianfranco Costamagna ]
  * Fix VCS fields

  [ Clint Adams ]
  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Thu, 13 Oct 2016 02:54:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: haskell-boolean
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Clint Adams <clint@debian.org>, Dmitry Bogatov <KAction@gnu.org>
-Priority: extra
+Uploaders: Clint Adams <clint@debian.org>, Ilias Tsitsimpis <iliastsi@debian.org>
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 10),
+ haskell-devscripts (>= 0.13),
  cdbs,
- ghc,
+ ghc (>= 8),
  ghc-prof,
 Build-Depends-Indep: ghc-doc,
-Standards-Version: 3.9.6
+Standards-Version: 4.6.2
 Homepage: http://hackage.haskell.org/package/Boolean
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-boolean
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-boolean]
 
 Package: libghc-boolean-dev
 Architecture: any

=== debian/watch ===
version=3
https://hackage.haskell.org/package/Boolean/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
